Bug 4795 - Glint doesn't work after rpm-3.0.2 upgrade
Glint doesn't work after rpm-3.0.2 upgrade
Status: CLOSED DUPLICATE of bug 4198
Product: Red Hat Linux
Classification: Retired
Component: glint (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-30 22:18 EDT by bobvm
Modified: 2015-09-28 10:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-31 11:59:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bobvm 1999-08-30 22:18:09 EDT
After upgrading to the latest rpm (3.0.2) from your Support
list, glint does not work.  Also, the X-Windows Package
Management tool (which envokes glint) does not work.
Executing glint from the command line results in the
following messages:
  bad option 'macrofiles' at /usr/lib/rpm/rpmrc:256
  Glint Graphical Package Manager -- version 2.6.2
  Copyright (C) 1998 - Red Hat Software
  This may be freely redistributed under the terms of the
   GNU Public License
  Traceback (innermost last):
    File "./glint.py", line 49, in ?
      installedPackageSet = InstalledPackageSet()
    File "./packageset.py", line 133, in __init__
      self.db = RPMDatabase(prefix)
    File "./rpmdb.py", line 61, in __init__
      self.OpenDatabase(Prefix)
    File "./rpmdb.py", line 26, in OpenDatabase
      self.reopen()
    File "./rpmdb.py", line 41, in reopen
      self.db = rpm.opendb()
  rpm.error: cannot open database in /var/lib/rpm

I downloaded the rpm and rpm-devel RPMs from the errata
list, and did a "rpm --rebuilddb".  Problem persists.
Comment 1 Bill Nottingham 1999-08-31 11:59:59 EDT
*** This bug has been marked as a duplicate of 4198 ***
Comment 2 openshift-github-bot 2015-09-28 10:32:37 EDT
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/eded6e47a5e279b57dfa0f2208937fa245962e92
Issue 4795 - include ref and contextdir in github links

Note You need to log in before you can comment on or make changes to this bug.